# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.468   -> 1.469  
#	drivers/usb/host/uhci-hub.c	1.1     -> 1.2    
#	drivers/usb/host/uhci-hcd.c	1.2     -> 1.3    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/07	david-b@pacbell.net	1.469
# [PATCH] uhci-hcd misc
# 
# This has two minor tweaks to the uhci-hcd driver:
# 
# - removes some duplicated code (HCD framework does that test)
# - corrects a FIXME comment (no issue)
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Sat Jun  8 15:16:10 2002
+++ b/drivers/usb/host/uhci-hcd.c	Sat Jun  8 15:16:10 2002
@@ -1502,10 +1502,6 @@
 		break;
 	case PIPE_ISOCHRONOUS:
 		if (urb->bandwidth == 0) {	/* not yet checked/allocated */
-			if (urb->number_of_packets <= 0) {
-				ret = -EINVAL;
-				break;
-			}
 			bustime = usb_check_bandwidth(urb->dev, urb);
 			if (bustime < 0) {
 				ret = bustime;
diff -Nru a/drivers/usb/host/uhci-hub.c b/drivers/usb/host/uhci-hub.c
--- a/drivers/usb/host/uhci-hub.c	Sat Jun  8 15:16:10 2002
+++ b/drivers/usb/host/uhci-hub.c	Sat Jun  8 15:16:10 2002
@@ -52,7 +52,7 @@
 	outw(status, io_addr + USBPORTSC1 + 2 * (wIndex-1))
 
 
-// FIXME: Shouldn't this return the length of the data too?
+/* size of returned buffer is part of USB spec */
 static int uhci_hub_control(struct usb_hcd *hcd, u16 typeReq, u16 wValue,
 			u16 wIndex, char *buf, u16 wLength)
 {
